/* main.c
 *
 * Copyright (c) 2003-2004 Susan Cotterell.
 * Permission to copy is granted provided that this header remains
 * intact. This software is provided with no warranties.
 *
 * Version : 1.0
 *
 * 8-Bit LCD Interface
 * Code outputs various strings on LCD
 *
 */

/* --------------------------------------------------------------------- */

#include    <pic.h>
#include    "delay.h"
#include    "io.h"

/* --------------------------------------------------------------------- */

main(void)
{
	TRISA = 0x00;		/* all bits output */
	TRISB = 0x00;		/* all bits output */

	DelayMs(15);

	InitIO();
	ClearScreen();
	GotoXY(0,3);
	PutChar('a');

	DelayMs(200);
	ClearScreen();
	PrintString("test");
	GotoXY(1,0);
	PrintString("blah");

	for(;;);
}
